## org.apache.cassandra.dht
Class Bounds

    java.lang.Object
      org.apache.cassandra.dht.AbstractBounds
          org.apache.cassandra.dht.Bounds

All Implemented Interfaces:
  java.io.Serializable

    public class Bounds

extends AbstractBounds

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.cassandra.dht.AbstractBounds
`left, partitioner, right`

Constructor Summary
`Bounds(Token left, Token right)`

Method Summary
`boolean` `contains(Token token)`
`AbstractBounds` `createFrom(Token token)`
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.cassandra.dht.AbstractBounds
`hashCode, serializer, split`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Bounds

    public Bounds(Token left,
                  Token right)

Method Detail

### contains

    public boolean contains(Token token)

  Specified by:
    `contains` in class `AbstractBounds`

### createFrom

    public AbstractBounds createFrom(Token token)

  Specified by:
    `createFrom` in class `AbstractBounds`
  Returns:
    A clone of this AbstractBounds with a new right Token.

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in class `AbstractBounds`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2010 The Apache Software Foundation